package _VisualDVM.Visual.Menus;
import Common.Utils.Utils_;
import Common.Visual.Fonts.VisualiserFonts;
import Common.Visual.UI_;
import Visual_DVM_2021.Passes.PassCode;
import _VisualDVM.Global;

import javax.swing.*;
import java.awt.*;
public class VisualiserMenu extends JMenu {
    public VisualiserMenu(String text, String iconPath, boolean textVisible) {
        setMinimumSize(new Dimension(38, 30)); //иначе сужаются вертикально.
        setToolTipText(text);
        if (textVisible)
            setText(text);
        setFont(UI_.getTheme().Fonts.get(VisualiserFonts.TreeItalic));
        if (!iconPath.isEmpty())
            setIcon(Utils_.getIcon(iconPath));
    }
    public VisualiserMenu(String text, String iconPath) {
        this(text, iconPath, false);
    }
    public void addPasses(PassCode... codes) {
        for (PassCode code : codes)
            add( Global.mainModule.getPass(code).createMenuItem());
    }
}
